# The NUX (New User Experience) Data

Namespace: `core/nux`.

## Selectors

<!-- START TOKEN(Autogenerated selectors|../../../../packages/nux/src/store/selectors.js) -->

<a name="areTipsEnabled" href="#areTipsEnabled">#</a> **areTipsEnabled**

Returns whether or not tips are globally enabled.

_Parameters_

-   _state_ `Object`: Global application state.

_Returns_

-   `boolean`: Whether tips are globally enabled.

<a name="getAssociatedGuide" href="#getAssociatedGuide">#</a> **getAssociatedGuide**

Returns an object describing the guide, if any, that the given tip is a part
of.

_Parameters_

-   _state_ `Object`: Global application state.
-   _tipId_ `string`: The tip to query.

_Returns_

-   `?NUXGuideInfo`: Information about the associated guide.

<a name="isTipVisible" href="#isTipVisible">#</a> **isTipVisible**

Determines whether or not the given tip is showing. Tips are hidden if they
are disabled, have been dismissed, or are not the current tip in any
guide that they have been added to.

_Parameters_

-   _state_ `Object`: Global application state.
-   _tipId_ `string`: The tip to query.

_Returns_

-   `boolean`: Whether or not the given tip is showing.

<!-- END TOKEN(Autogenerated selectors|../../../../packages/nux/src/store/selectors.js) -->

## Actions

<!-- START TOKEN(Autogenerated actions|../../../../packages/nux/src/store/actions.js) -->

<a name="disableTips" href="#disableTips">#</a> **disableTips**

Returns an action object that, when dispatched, prevents all tips from
showing again.

_Returns_

-   `Object`: Action object.

<a name="dismissTip" href="#dismissTip">#</a> **dismissTip**

Returns an action object that, when dispatched, dismisses the given tip. A
dismissed tip will not show again.

_Parameters_

-   _id_ `string`: The tip to dismiss.

_Returns_

-   `Object`: Action object.

<a name="enableTips" href="#enableTips">#</a> **enableTips**

Returns an action object that, when dispatched, makes all tips show again.

_Returns_

-   `Object`: Action object.

<a name="triggerGuide" href="#triggerGuide">#</a> **triggerGuide**

Returns an action object that, when dispatched, presents a guide that takes
the user through a series of tips step by step.

_Parameters_

-   _tipIds_ `string[]`: Which tips to show in the guide.

_Returns_

-   `Object`: Action object.


<!-- END TOKEN(Autogenerated actions|../../../../packages/nux/src/store/actions.js) -->
